#!/usr/bin/env bash
set -eux

adb shell am force-stop rust.vr_test

scriptdir=$(dirname -- "$(realpath -- "$0")")
cd $scriptdir/..

rm -f target/release/apk/lib/arm64-v8a/libc++_shared.so
cargo apk run --release --package vr_test
# Wait for the app to start
for i in 1 2 3 4 5; do
    adb shell pidof rust.vr_test && break
    sleep 1
done

adb logcat --pid="$(adb shell pidof rust.vr_test)"